Name:          rust-bindgen
Version:       0.69.2
Release:       1mamba
Summary:       Automatically generates Rust FFI bindings to C (and some C++) libraries
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rust-lang/rust-bindgen
Source:        https://github.com/rust-lang/rust-bindgen.git/v%{version}/rust-bindgen-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END

%description
Automatically generates Rust FFI bindings to C (and some C++) libraries.

%debug_package

%prep
%setup -q
cargo fetch --locked --target "%{_target_cpu}-unknown-linux-gnu"

%build
cargo build --release --frozen

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 target/release/bindgen %{buildroot}%{_bindir}/bindgen

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/bindgen
%doc LICENSE

%changelog
* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 0.69.2-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 0.69.1-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Automatic Build System <autodist@mambasoft.it> 0.69.0-1mamba
- automatic version update by autodist

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 0.68.1-1mamba
- automatic version update by autodist

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 0.68.0-1mamba
- automatic version update by autodist

* Mon Jun 19 2023 Automatic Build System <autodist@mambasoft.it> 0.66.1-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 0.66.0-1mamba
- automatic version update by autodist

* Wed Apr 12 2023 Automatic Build System <autodist@mambasoft.it> 0.65.1-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 0.65.0-1mamba
- automatic version update by autodist

* Tue Dec 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.63.0-1mamba
- package created using the webbuild interface
